Subject: Re: [PATCH 04/16] grep portability fix: don't use "-e" or "-q"

From: Junio C Hamano <[email-masked]>
Date: Wed, 12 Mar 2008 15:45:43 -0700

Junio C Hamano <[email-masked]> writes:

> Jeff King <[email-masked]> writes:
>
>> System V versions of grep (such as Solaris /usr/bin/grep)
>> don't understand either of these options. git's usage of
>
> It might be fair for other System V people to qualify the above statement
> with "Historic System V" (personally I felt that Solaris without xpg4 was
> unusable, and I wish you luck tackling it).
>
> More seriously, you would need to disable "when grepping work-tree,
> running the native grep is faster and just as capable" optimization in
> builtin-grep.c::grep_cache().  Treat these problematic System V platforms
> as if they are not __unix__.
>
> I am surprised that you did not have issues with "tail -n$number".
> Historic way to spell it was "tail -$number" wasn't it?

Heh, I notice you had to deal with these issues in the later patches ;-)